Subject: bug#23747: 25.0.95; regression in mml-secure-sign-pgpmime

From: Sam Halliday <[email-masked]>
Date: Sun, 12 Jun 2016 12:25:34 +0100

Thanks Nicolas,

I'm using notmuch 0.22 in Debian Testing but I'm using elpa/melpa to
manage the Emacs side client.

I've updated by init.el to be compatible with the GNU Emacs 25 pretest
so you could try using it if you are brave (use init.el and init-gnu.el
in a fresh .emacs.d). I've commented out the line from init-gnu.el that
triggers this bug (which I can imagine might be with notmuch).

Best regards,
Sam

Nicolas Petton <[email-masked]> writes:

> [ Unknown signature status ]
> Sam Halliday <[email-masked]> writes:
>
> Hi Sam,
>
>> Regression in emacs 25 pretest. This works with my emacs configuration
>> in emacs 24.5 available at https://github.com/fommil/dotfiles/tree/master/.emacs.d
>>
>> This line causes a failure when sending email
>>
>>   (add-hook 'message-setup-hook #'mml-secure-sign-pgpmime)
>>
>> with the stacktrace below (could be a problem with notmuch).
>
> - Can you reproduce the issue on master?
> - What version of notmuch are you using?
>
>
> I'm using notumch-emacs-version 0.21, and I cannot reproduce the issue
> on Emacs master.
>
> Cheers,
> Nico

-- 
Best regards,
Sam